﻿using System;
using System.Collections.Generic;
using System.Web.Mvc;

namespace Web.Controllers
{
    public class TestViewModel
    {
        public string Title { get; set; } = "Test2";

        public List<GridItemViewModel> DataSource { get; }

        public TestViewModel()
        {
            DataSource = new List<GridItemViewModel>
            {
                new GridItemViewModel { Name = "Bill", ReleaseDate=DateTime.Today.AddDays(2) },
                new GridItemViewModel { Name = "Cindy", ReleaseDate=DateTime.Today.AddDays(4) },
                new GridItemViewModel { Name = "Ben", ReleaseDate=DateTime.Today.AddDays(5) },
                new GridItemViewModel { Name = "Tim", ReleaseDate=DateTime.Today.AddDays(5) },
                new GridItemViewModel { Name = "Joe", ReleaseDate=DateTime.Today.AddDays(4) },
                new GridItemViewModel { Name = "Cindy", ReleaseDate=DateTime.Today.AddDays(12) },
                new GridItemViewModel { Name = "Frida", ReleaseDate=DateTime.Today.AddDays(6) },
                new GridItemViewModel { Name = "Pierre", ReleaseDate=DateTime.Today.AddDays(2) },
                new GridItemViewModel { Name = "Bill", ReleaseDate=DateTime.Today.AddDays(2) },
                new GridItemViewModel { Name = "Cindy", ReleaseDate=DateTime.Today.AddDays(4) },
                new GridItemViewModel { Name = "Ben", ReleaseDate=DateTime.Today.AddDays(7) },
                new GridItemViewModel { Name = "Tim", ReleaseDate=DateTime.Today.AddDays(4) },
                new GridItemViewModel { Name = "Joe", ReleaseDate=DateTime.Today.AddDays(3) },
                new GridItemViewModel { Name = "Cindy", ReleaseDate=DateTime.Today.AddDays(21) },
                new GridItemViewModel { Name = "Frida", ReleaseDate=DateTime.Today.AddDays(6) },
                new GridItemViewModel { Name = "Pierre", ReleaseDate=DateTime.Today.AddDays(2) },
            };
        }

        public class GridItemViewModel
        {
            static int _ndx = 0;

            public int Id { get; set; }
            public string Name { get; set; }
            public DateTime? ReleaseDate { get; set; }

            public GridItemViewModel()
            {
                Id = ++_ndx;
            }
        }
    }


    public class TestController: Controller
    {
        public ActionResult Index()
        {
            var vm = new TestViewModel();
            return View(vm);
        }
    }
}